Subject: RE: AfterStep 1.6.10 on cygwin
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Sat, 8 May 1999 15:53:32 -0400 (EDT)

Hello Kevin,

I have searched the mail archives as you should also in connection
with other compilations. For example it occurs in compiling
tk or tcl - I cannot remember. The fix there I saw is simply removal
of a section of code by conditional compiliation. You will find in the
archives that this function is not supported/used.

In regard to WindowMaker look for the statement that forms the
commandline argument with the sprintf function and remove the "&".
I cannot get at my diff file right now.

Regard,
Dan

On Sat, 8 May 1999 09:04:55 -0700, "Kevin Wright" <[email-masked]> wrote:
>
> Hello [email-masked],
>
> Thanks very much for your tip on WindowMaker. I can't wait to try it out.
>
> By the way, I'm getting an error trying to compile ASfiles-1.0:
>
> /usr/local/src/ASFiles-1.0/src/Ops.c:338: undefined reference to `mkfifo'
>
> I know that mkfifo is defined in sys/stat.h:
>
> int     _EXFUN(mkfifo,( char *__path, mode_t __mode ));
>
> Any ideas?
>
> Thanks,
>
> Kevin Wright
>
>> -----Original Message-----
>> From: [email-masked]
>> [mailto:[email-masked]]On Behalf Of
>> [email-masked]
>> Sent: Saturday, May 08, 1999 5:24 AM
>> To: [email-masked]
>> Cc: [email-masked]; [email-masked]
>> Subject: RE: AfterStep 1.6.10 on cygwin
>> 
>> 
>> For me at least the problem with changing the background is a
>> common one. wmsetbg is shelled out to with an "&" on the end.
>> Remove the "&" and recompile and the "problem" goes away.
>> The latest WindowMaker 0.53 compiles without any other problems.
>> 
>> In general if a script or program tries to shell out with a
>> "&" a gpf occurs. The "&" does not appear to be necessary anyway.
>> 
>> 
>> On Fri, 7 May 1999 16:26:56 -0700, "Kevin Wright" 
>> <[email-masked]> wrote:
>> >
>> > Suhaib,
>> >
>> > Actually, I have built AfterStep on cygwin and it does run. 
>> I did it so long
>> > ago I don't remember everything I had to do, but it is possible.
>> >
>> > WindowMaker I built but it crashes with a problem setting 
>> the background.
>> >
>> > Regards,
>> >
>> > Kevin
>> >
>> >> -----Original Message-----
>> >> From: [email-masked]
>> >> [mailto:[email-masked]]On Behalf Of Suhaib M.
>> >> Siddiqi
>> >> Sent: Friday, May 07, 1999 8:47 AM
>> >> To: Araujo, Isaque G.; [email-masked]
>> >> Subject: Re: AfterStep 1.6.10 on cygwin
>> >>
>> >>
>> >>
>> >> First of all to use AfterStep you need to have X11 Font Database.
>> >>
>> >> Second, I do not think you can run AfterStep ontop of the
>> >> Windows NT/9x.
>> >> It needs a lot of stuff from XFree86 and XFree86 cannot be compiled
>> >> on Windows under Cygwin.
>> >>
>> >> Regards
>> >>
>> >> Suhaib
>> >>
>> >>
>> >>
>> >> ----- Original Message -----
>> >> From: Araujo, Isaque G. <[email-masked]>
>> >> To: <[email-masked]>
>> >> Sent: Friday, May 07, 1999 11:44 AM
>> >> Subject: AfterStep 1.6.10 on cygwin
>> >>
>> >>
>> >> > Hi guys, I'm trying to compile this but when I run the
>> >> final executable file
>> >> > afterstep.exe, it gives me the following messages:
>> >> >
>> >> > Detected colordepth : 32
>> >> > afterstep: can't get font -*-helvetica-*-r-*-*-20-*-*-*-*-*-*-*
>> >> > afterstep: can't get font 
>> -*-helvetica-bold-r-*-*-12-*-*-*-*-*-*-*
>> >> > afterstep: can't get font -*-helvetica-*-r-*-*-12-*-*-*-*-*-*-*
>> >> > afterstep: can't get font -*-helvetica-*-r-*-*-12-*-*-*-*-*-*-*
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > AfterStep: internal error
>> >> >       Request 72, Error 16
>> >> >       EventType: 0
>> >> > afterstep: can't get font 
>> -*-helvetica-medium-r-*-*-12-*-*-*-*-*-*-*
>> >> > afterstep: can't get font 
>> -*-helvetica-bold-r-*-*-12-*-*-*-*-*-*-*
>> >> > afterstep: can't get font
>> >> -adobe-helvetica-medium-r-*-*-8-*-*-*-*-*-*-*
>> >> > Wharf: can't get font 
>> -adobe-helvetica-bold-o-*-*-12-*-*-*-*-*-*-*
>> >> > asclock: not found
>> >> > xeyes: not found
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > X Error of failed request:  BadLength (poly request too
>> >> large or internal
>> >> > Xlib length error)
>> >> >   Major opcode of failed request:  72 (X_PutImage)
>> >> >   Serial number of failed request:  632
>> >> >   Current serial number in output stream:  634
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> > Xlib:  extension "SHAPE" missing on display "127.0.0.1:0.0".
>> >> >
>> >> > and don't run wharf and don't show any pictures.
>> >> >
>> >> > Have you some idea ?
>> >> >
>> >> > ~/isaque>
>> >> >
>> >> > --
>> >> > Want to unsubscribe from this list?
>> >> > Send a message to [email-masked]
>> >> >
>> >> >
>> >>
>> >>
>> >>
>> >> --
>> >> Want to unsubscribe from this list?
>> >> Send a message to [email-masked]
>> >>
>> >>
>> >
>> >
>> > --
>> > Want to unsubscribe from this list?
>> > Send a message to [email-masked]
>> >
>> 
>> 
>> --
>> Want to unsubscribe from this list?
>> Send a message to [email-masked]
>> 
>> 
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]